Package org.apache.nutch.service.impl

## Class SeedManagerImpl

- java.lang.Object
- - org.apache.nutch.service.impl.SeedManagerImpl

- All Implemented Interfaces:
    `SeedManager`

      public class SeedManagerImpl
      extends Object
      implements SeedManager

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SeedManagerImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `deleteSeedList​(String seedName)` |
    `SeedList` | `getSeedList​(String seedName)` |
    `Map<String,​SeedList>` | `getSeeds()` |
    `void` | `setSeedList​(String seedName, SeedList seedList)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SeedManagerImpl

          public SeedManagerImpl()

  - ### Method Detail

    - #### getSeedList

          public SeedList getSeedList​(String seedName)

      Specified by:
        `getSeedList` in interface `SeedManager`

    - #### setSeedList

          public void setSeedList​(String seedName,
                                  SeedList seedList)

      Specified by:
        `setSeedList` in interface `SeedManager`

    - #### getSeeds

          public Map<String,​SeedList> getSeeds()

      Specified by:
        `getSeeds` in interface `SeedManager`

    - #### deleteSeedList

          public boolean deleteSeedList​(String seedName)

      Specified by:
        `deleteSeedList` in interface `SeedManager`